OpenVDB 5.1.0

Classes | Functions
openvdb::v5_1::points::point_count_internal Namespace Reference

## Classes
struct | PointCountOp

## Functions
template<typename PointDataTreeT , typename FilterT , typename ValueIterT >
Index64 | threadedFilterPointCount (const PointDataTreeT &tree, const FilterT &filter, const bool inCoreOnly=false)
template<typename PointDataTreeT , typename FilterT >
Index64 | filterPointCount (const PointDataTreeT &tree, const FilterT &filter, const bool inCoreOnly=false)
template<typename PointDataTreeT , typename FilterT >
Index64 | filterActivePointCount (const PointDataTreeT &tree, const FilterT &filter, const bool inCoreOnly=false)
template<typename PointDataTreeT , typename FilterT >
Index64 | filterInactivePointCount (const PointDataTreeT &tree, const FilterT &filter, const bool inCoreOnly=false)

## Function Documentation

## ◆ filterActivePointCount()

Index64 openvdb::v5_1::points::point_count_internal::filterActivePointCount | ( | const PointDataTreeT & | tree,
|  | const FilterT & | filter,
|  | const bool | inCoreOnly = `false`
| ) |  |

## ◆ filterInactivePointCount()

Index64 openvdb::v5_1::points::point_count_internal::filterInactivePointCount | ( | const PointDataTreeT & | tree,
|  | const FilterT & | filter,
|  | const bool | inCoreOnly = `false`
| ) |  |

## ◆ filterPointCount()

Index64 openvdb::v5_1::points::point_count_internal::filterPointCount | ( | const PointDataTreeT & | tree,
|  | const FilterT & | filter,
|  | const bool | inCoreOnly = `false`
| ) |  |

## ◆ threadedFilterPointCount()

Index64 openvdb::v5_1::points::point_count_internal::threadedFilterPointCount | ( | const PointDataTreeT & | tree,
|  | const FilterT & | filter,
|  | const bool | inCoreOnly = `false`
| ) |  |